/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.callerscope;

import org.jboss.aop.advice.Scope;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class Caller
{
   public void testPerInstance(POJO pojo) throws Exception
   {
      pojo.perInstanceMethod();
      CallerScopeTestCase.checkInterceptions(Scope.PER_INSTANCE);
      System.out.println();
   }

}
